Summary: Tools for supervising and logging daemons
Name: daemontools
Version: 0.76
Release: 7%{?dist}
License: D.J. Bernstein <djb@pobox.com>, free unmodified distribution
URL: http://cr.yp.to/daemontools.html
Group: Networking/Daemons
Source0: http://cr.yp.to/daemontools/%{name}-%{version}.tar.gz
Source1: http://cr.yp.to/daemontools/%{name}-%{version}-man.tar.gz
Source2: svscan.init
Patch0:  daemontools_errno.patch
BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

%description
Provides tools for montioring daemon processes and logging messages.

%prep
%setup -n admin/%{name}-%{version} -a 1
%patch0 -p2

%build
./package/compile

%install
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/services
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/svscan
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/log/svscan
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_mandir}/man8

%{__cp} package/README README.%{name}
%{__cp} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/svscan
%{__cp} command/* $RPM_BUILD_ROOT/%{_bindir}

%{__cp} %{name}-%{version}-man/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
%{__cp} %{name}-%{version}-man/README README.%{name}-man

%files
%doc README.%{name} README.%{name}-man

%defattr(-,root,root)
%{_sysconfdir}/rc.d/init.d/svscan

%{_bindir}/envdir
%{_bindir}/envuidgid
%{_bindir}/fghack
%{_bindir}/multilog
%{_bindir}/pgrphack
%{_bindir}/readproctitle
%{_bindir}/setlock
%{_bindir}/setuidgid
%{_bindir}/softlimit
%{_bindir}/supervise
%{_bindir}/svc
%{_bindir}/svok
%{_bindir}/svscan
%{_bindir}/svscanboot
%{_bindir}/svstat
%{_bindir}/tai64n
%{_bindir}/tai64nlocal

%dir %{_localstatedir}/services
%dir %{_localstatedir}/svscan
%dir %{_localstatedir}/log/svscan

%{_mandir}/man8/envdir.8.gz
%{_mandir}/man8/envuidgid.8.gz
%{_mandir}/man8/fghack.8.gz
%{_mandir}/man8/multilog.8.gz
%{_mandir}/man8/pgrphack.8.gz
%{_mandir}/man8/readproctitle.8.gz
%{_mandir}/man8/setlock.8.gz
%{_mandir}/man8/setuidgid.8.gz
%{_mandir}/man8/softlimit.8.gz
%{_mandir}/man8/supervise.8.gz
%{_mandir}/man8/svc.8.gz
%{_mandir}/man8/svok.8.gz
%{_mandir}/man8/svscanboot.8.gz
%{_mandir}/man8/svscan.8.gz
%{_mandir}/man8/svstat.8.gz
%{_mandir}/man8/tai64nlocal.8.gz
%{_mandir}/man8/tai64n.8.gz

%post
/sbin/chkconfig svscan on

%changelog
* Thu Jan 03 2013 Pavel Lisy <pali@tmapy.cz> 0.76-7
- merged with subpackage: %{name}-%{version}-man
- huge .spec clean

* Fri Dec 15 2012 Pavel Lisy <pali@tmapy.cz> 0.76-6
- new svscan.init

* Mon Jan 09 2012 Pavel Lisy <pali@tmapy.cz> 0.76-5%{dist}
- rebuild for RHEL-6

* Fri Mar 13 2009 Pavel Lisy <pali@tmapy.cz> 0.76-4%{dist}
- multidist mock rebuild

* Mon Oct 29 2007 Pavel Lisy <pali@tmapy.cz> 0.76-3.%{dist}
- rebuild for RHEL-5

* Sat Jul 29 2006 Pavel Lisy <pali@tmapy.cz> 0.76-2.%{dist}
- corrections in spec file

* Wed Mar 26 2003 Pavel Lisy <pali@tmapy.cz>
- rebuild for RPM 4.2 (RH 9.0)
- patched for glibc-2.3.1, gcc-3.2

* Mon Aug 13 2001 Pavel Lisy <pali@tmapy.cz>
- upgrade to 0.76

* Mon Aug 13 2001 Pavel Lisy <pali@tmapy.cz>
- patch for Red Hat release 7.x
- Start svscan with /usr/bin in the path.

* Thu Feb 08 2001 Andy Dustman <andy@dustman.net>
- Start svscan with /usr/local/bin in the path.
- Log svscan output to /dev/console.
- Add more Prefix: headers to fix relocation problems.
